io.vertx.rxjava.ext.web

## Interface ParsedHeaderValue

- All Known Implementing Classes:
    LanguageHeader, MIMEHeader

      public interface ParsedHeaderValue

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParsedHeaderValue` | `getDelegate()`
    `boolean` | `isMatchedBy(ParsedHeaderValue matchTry)` Test if this header is matched by matchTry header
    `boolean` | `isPermitted()` Is this an allowed operation as specified by the corresponding header?
    `static ParsedHeaderValue` | `newInstance(ParsedHeaderValue arg)`
    `String` | `parameter(String key)` The value of the parameter specified by this key.
    `Map<String,String>` | `parameters()` The parameters specified in this header value.
    `String` | `rawValue()` Contains the raw value that was received from the user agent
    `String` | `value()` Holds the unparsed value of the header. For the most part, this is the content before the semi-colon (";")
    `float` | `weight()` Holds the weight specified in the "q" parameter of the header. If the parameter is not specified, 1.0 is assumed according to rfc7231
    `int` | `weightedOrder()` An integer that represents the absolute order position of this header

- - ### Method Detail

    - #### getDelegate

          ParsedHeaderValue getDelegate()

    - #### rawValue

          String rawValue()

      Contains the raw value that was received from the user agent
      Returns:

    - #### value

          String value()

      Holds the unparsed value of the header.
      For the most part, this is the content before the semi-colon (";")
      Returns:

    - #### weight

          float weight()

      Holds the weight specified in the "q" parameter of the header.
      If the parameter is not specified, 1.0 is assumed according to rfc7231
      Returns:

    - #### parameter

          String parameter(String key)

      The value of the parameter specified by this key. Each is one of 3 things:
      1. null <- That key was not specified
      2. ParsedHeaderValue.EMPTY (tested using ==) <- The value was not specified
      3. [Other] <- The value of the parameter
      Note: The `q` parameter is never present.
      Parameters:
        `key` -
      Returns:

    - #### parameters

          Map<String,String> parameters()

      The parameters specified in this header value. Note: The `q` parameter is never present.
      Returns:
        Unmodifiable Map of parameters of this header value

    - #### isPermitted

          boolean isPermitted()

      Is this an allowed operation as specified by the corresponding header?
      Returns:

    - #### isMatchedBy

          boolean isMatchedBy(ParsedHeaderValue matchTry)

      Test if this header is matched by matchTry header
      Parameters:
        `matchTry` - The header to be matched from
      Returns:
        true if this header represents a subset of matchTry, otherwise, false

    - #### weightedOrder

          int weightedOrder()

      An integer that represents the absolute order position of this header
      Returns:

    - #### newInstance

          static ParsedHeaderValue newInstance(ParsedHeaderValue arg)

Copyright © 2017. All rights reserved.